JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | List of all members
Interpolators Class Reference
juce_audio_basics » utilities

A collection of different interpolators for resampling streams of floats. More...

`#include <juce_Interpolators.h>`

## Public Types
using | WindowedSinc = GenericInterpolator<WindowedSincTraits, 200>
using | Lagrange = GenericInterpolator<LagrangeTraits, 5>
using | CatmullRom = GenericInterpolator<CatmullRomTraits, 4>
using | Linear = GenericInterpolator<LinearTraits, 2>
using | ZeroOrderHold = GenericInterpolator<ZeroOrderHoldTraits, 1>

## Detailed Description

A collection of different interpolators for resampling streams of floats.

See also
  GenericInterpolator, WindowedSincInterpolator, LagrangeInterpolator, CatmullRomInterpolator, LinearInterpolator, ZeroOrderHoldInterpolator

## Member Typedef Documentation

## ◆ WindowedSinc

using Interpolators::WindowedSinc = GenericInterpolator<WindowedSincTraits, 200>

## ◆ Lagrange

using Interpolators::Lagrange = GenericInterpolator<LagrangeTraits, 5>

## ◆ CatmullRom

using Interpolators::CatmullRom = GenericInterpolator<CatmullRomTraits, 4>

## ◆ Linear

using Interpolators::Linear = GenericInterpolator<LinearTraits, 2>

## ◆ ZeroOrderHold

using Interpolators::ZeroOrderHold = GenericInterpolator<ZeroOrderHoldTraits, 1>

The documentation for this class was generated from the following file:

- juce_Interpolators.h